@echo off
rem #
rem # IBM Confidential
rem # OCO Source Materials
rem # Rational ClearQuest
rem # (C) Copyright IBM Corp. 2013. All Rights Reserved.
rem #
rem # The source code for this program is not published or otherwise
rem # divested of its trade secrets, irrespective of what has been
rem # deposited with the U.S. Copyright Office.
rem #
rem # Run this batch file to deploy birt.war runtime, customize settings, and copy
rem # the ClearQuest reporting driver plugins and jars to the BIRT runtime
rem #
rem # Usage:   
rem #	deployBIRT <war file name>

setlocal
:start
rem set WAS_PROFILE_PATH=C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\AppSrv01
rem set WAS_PROFILE_PATH=%CLEARQUEST_HOME%\cqweb\cqwebprofile
set WAS_PROFILE_PATH=ADD_WAS_PROFILE_PATH_HERE
set BIRT_DRIVER_PATH=

if [%1]==[] goto setdefault
set WAR_FILE=%1
goto deployBIRT

:setdefault
set WAR_FILE=birt.war
goto deployBIRT

:deployBIRT
@echo Calling wsadmin to deploy %WAR_FILE%
CALL "%WAS_PROFILE_PATH%\bin\wsadmin.bat" -lang jython -f deployBIRT.py %WAR_FILE% -wsadmin_classpath ./deployBIRT.jar
if "%BIRT_DRIVER_PATH%"=="" goto setDefaultBIRTPath
goto copyDriverPlugins

:setDefaultBIRTPath
   set TEMP_PATH="%WAS_PROFILE_PATH%\installedApps"
   call :getCellPath %TEMP_PATH%\*.*
   set TEMP_PATH=%CELL_PATH%\birt_war.ear\%WAR_FILE%\WEB-INF
   if exist "%TEMP_PATH%\platform" (
      set BIRT_DRIVER_PATH="%TEMP_PATH%\platform\plugins"
   ) else (
	  set BIRT_DRIVER_PATH="%TEMP_PATH%\lib"
   )
   goto copyDriverPlugins


:copyDriverPlugins
@echo Calling copyDriverPlugins with target path %BIRT_DRIVER_PATH%
CALL copyDriverPlugins.bat %BIRT_DRIVER_PATH%
goto :end

rem Set variable CELL_PATH to a subdirectory of the passed directory path
:getCellPath
for /D %%I in (%1) do set "CELL_PATH=%%I"
goto :eof

:end
endlocal
